/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TGENETRANSACTIONLOG")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tgenetransactionlog.findAll", query = "SELECT t FROM Tgenetransactionlog t"),
    @NamedQuery(name = "Tgenetransactionlog.findByJournalid", query = "SELECT t FROM Tgenetransactionlog t WHERE t.journalid = :journalid"),
    @NamedQuery(name = "Tgenetransactionlog.findByTransactionmodule", query = "SELECT t FROM Tgenetransactionlog t WHERE t.transactionmodule = :transactionmodule"),
    @NamedQuery(name = "Tgenetransactionlog.findByTransactioncode", query = "SELECT t FROM Tgenetransactionlog t WHERE t.transactioncode = :transactioncode"),
    @NamedQuery(name = "Tgenetransactionlog.findByTransactionversion", query = "SELECT t FROM Tgenetransactionlog t WHERE t.transactionversion = :transactionversion"),
    @NamedQuery(name = "Tgenetransactionlog.findByAccountingdate", query = "SELECT t FROM Tgenetransactionlog t WHERE t.accountingdate = :accountingdate"),
    @NamedQuery(name = "Tgenetransactionlog.findByServer", query = "SELECT t FROM Tgenetransactionlog t WHERE t.server = :server"),
    @NamedQuery(name = "Tgenetransactionlog.findByRealdate", query = "SELECT t FROM Tgenetransactionlog t WHERE t.realdate = :realdate"),
    @NamedQuery(name = "Tgenetransactionlog.findByCompanycode", query = "SELECT t FROM Tgenetransactionlog t WHERE t.companycode = :companycode"),
    @NamedQuery(name = "Tgenetransactionlog.findByBranchcode", query = "SELECT t FROM Tgenetransactionlog t WHERE t.branchcode = :branchcode"),
    @NamedQuery(name = "Tgenetransactionlog.findByOfficecode", query = "SELECT t FROM Tgenetransactionlog t WHERE t.officecode = :officecode"),
    @NamedQuery(name = "Tgenetransactionlog.findByTerminalcode", query = "SELECT t FROM Tgenetransactionlog t WHERE t.terminalcode = :terminalcode"),
    @NamedQuery(name = "Tgenetransactionlog.findByUsercode", query = "SELECT t FROM Tgenetransactionlog t WHERE t.usercode = :usercode"),
    @NamedQuery(name = "Tgenetransactionlog.findByDuration", query = "SELECT t FROM Tgenetransactionlog t WHERE t.duration = :duration"),
    @NamedQuery(name = "Tgenetransactionlog.findByResultcode", query = "SELECT t FROM Tgenetransactionlog t WHERE t.resultcode = :resultcode"),
    @NamedQuery(name = "Tgenetransactionlog.findByUsermessage", query = "SELECT t FROM Tgenetransactionlog t WHERE t.usermessage = :usermessage"),
    @NamedQuery(name = "Tgenetransactionlog.findByAccount", query = "SELECT t FROM Tgenetransactionlog t WHERE t.account = :account"),
    @NamedQuery(name = "Tgenetransactionlog.findByPersoncode", query = "SELECT t FROM Tgenetransactionlog t WHERE t.personcode = :personcode"),
    @NamedQuery(name = "Tgenetransactionlog.findBySolicitudenumber", query = "SELECT t FROM Tgenetransactionlog t WHERE t.solicitudenumber = :solicitudenumber"),
    @NamedQuery(name = "Tgenetransactionlog.findByMethod", query = "SELECT t FROM Tgenetransactionlog t WHERE t.method = :method"),
    @NamedQuery(name = "Tgenetransactionlog.findByAditionaldata", query = "SELECT t FROM Tgenetransactionlog t WHERE t.aditionaldata = :aditionaldata"),
    @NamedQuery(name = "Tgenetransactionlog.findByOperativsystem", query = "SELECT t FROM Tgenetransactionlog t WHERE t.operativsystem = :operativsystem"),
    @NamedQuery(name = "Tgenetransactionlog.findByBrowser", query = "SELECT t FROM Tgenetransactionlog t WHERE t.browser = :browser")})
public class Tgenetransactionlog implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "JOURNALID")
    private String journalid;
    @Basic(optional = false)
    @Column(name = "TRANSACTIONMODULE")
    private String transactionmodule;
    @Basic(optional = false)
    @Column(name = "TRANSACTIONCODE")
    private short transactioncode;
    @Basic(optional = false)
    @Column(name = "TRANSACTIONVERSION")
    private short transactionversion;
    @Column(name = "ACCOUNTINGDATE")
    @Temporal(TemporalType.TIMESTAMP)
    private Date accountingdate;
    @Column(name = "SERVER")
    private String server;
    @Column(name = "REALDATE")
    @Temporal(TemporalType.TIMESTAMP)
    private Date realdate;
    @Column(name = "COMPANYCODE")
    private Long companycode;
    @Column(name = "BRANCHCODE")
    private Short branchcode;
    @Column(name = "OFFICECODE")
    private Short officecode;
    @Column(name = "TERMINALCODE")
    private String terminalcode;
    @Column(name = "USERCODE")
    private String usercode;
    // @Max(value=?)  @Min(value=?)//if you know range of your decimal fields consider using these annotations to enforce field validation
    @Column(name = "DURATION")
    private BigDecimal duration;
    @Column(name = "RESULTCODE")
    private String resultcode;
    @Column(name = "USERMESSAGE")
    private String usermessage;
    @Column(name = "ACCOUNT")
    private String account;
    @Column(name = "PERSONCODE")
    private Long personcode;
    @Column(name = "SOLICITUDENUMBER")
    private String solicitudenumber;
    @Column(name = "METHOD")
    private String method;
    @Column(name = "ADITIONALDATA")
    private String aditionaldata;
    @Column(name = "OPERATIVSYSTEM")
    private String operativsystem;
    @Column(name = "BROWSER")
    private String browser;

    public Tgenetransactionlog() {
    }

    public Tgenetransactionlog(String journalid) {
        this.journalid = journalid;
    }

    public Tgenetransactionlog(String journalid, String transactionmodule, short transactioncode, short transactionversion) {
        this.journalid = journalid;
        this.transactionmodule = transactionmodule;
        this.transactioncode = transactioncode;
        this.transactionversion = transactionversion;
    }

    public String getJournalid() {
        return journalid;
    }

    public void setJournalid(String journalid) {
        this.journalid = journalid;
    }

    public String getTransactionmodule() {
        return transactionmodule;
    }

    public void setTransactionmodule(String transactionmodule) {
        this.transactionmodule = transactionmodule;
    }

    public short getTransactioncode() {
        return transactioncode;
    }

    public void setTransactioncode(short transactioncode) {
        this.transactioncode = transactioncode;
    }

    public short getTransactionversion() {
        return transactionversion;
    }

    public void setTransactionversion(short transactionversion) {
        this.transactionversion = transactionversion;
    }

    public Date getAccountingdate() {
        return accountingdate;
    }

    public void setAccountingdate(Date accountingdate) {
        this.accountingdate = accountingdate;
    }

    public String getServer() {
        return server;
    }

    public void setServer(String server) {
        this.server = server;
    }

    public Date getRealdate() {
        return realdate;
    }

    public void setRealdate(Date realdate) {
        this.realdate = realdate;
    }

    public Long getCompanycode() {
        return companycode;
    }

    public void setCompanycode(Long companycode) {
        this.companycode = companycode;
    }

    public Short getBranchcode() {
        return branchcode;
    }

    public void setBranchcode(Short branchcode) {
        this.branchcode = branchcode;
    }

    public Short getOfficecode() {
        return officecode;
    }

    public void setOfficecode(Short officecode) {
        this.officecode = officecode;
    }

    public String getTerminalcode() {
        return terminalcode;
    }

    public void setTerminalcode(String terminalcode) {
        this.terminalcode = terminalcode;
    }

    public String getUsercode() {
        return usercode;
    }

    public void setUsercode(String usercode) {
        this.usercode = usercode;
    }

    public BigDecimal getDuration() {
        return duration;
    }

    public void setDuration(BigDecimal duration) {
        this.duration = duration;
    }

    public String getResultcode() {
        return resultcode;
    }

    public void setResultcode(String resultcode) {
        this.resultcode = resultcode;
    }

    public String getUsermessage() {
        return usermessage;
    }

    public void setUsermessage(String usermessage) {
        this.usermessage = usermessage;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public Long getPersoncode() {
        return personcode;
    }

    public void setPersoncode(Long personcode) {
        this.personcode = personcode;
    }

    public String getSolicitudenumber() {
        return solicitudenumber;
    }

    public void setSolicitudenumber(String solicitudenumber) {
        this.solicitudenumber = solicitudenumber;
    }

    public String getMethod() {
        return method;
    }

    public void setMethod(String method) {
        this.method = method;
    }

    public String getAditionaldata() {
        return aditionaldata;
    }

    public void setAditionaldata(String aditionaldata) {
        this.aditionaldata = aditionaldata;
    }

    public String getOperativsystem() {
        return operativsystem;
    }

    public void setOperativsystem(String operativsystem) {
        this.operativsystem = operativsystem;
    }

    public String getBrowser() {
        return browser;
    }

    public void setBrowser(String browser) {
        this.browser = browser;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (journalid != null ? journalid.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tgenetransactionlog)) {
            return false;
        }
        Tgenetransactionlog other = (Tgenetransactionlog) object;
        if ((this.journalid == null && other.journalid != null) || (this.journalid != null && !this.journalid.equals(other.journalid))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tgenetransactionlog[ journalid=" + journalid + " ]";
    }
    
}
